We use this method to execute a function once for each element in an array. While using forEach , we should specify a callback function. We cannot break this loop because break instruction is not technically in a loop. We can use normal loop instead of it.